// FftCrashTest.cpp : ̨Ӧóڵ㡣
//

#include "stdafx.h"
#include "windows.h"
#include <iostream>
using namespace std;

typedef int (__cdecl *INIT_FFT)(void);
typedef int (__cdecl *CRASH_TEST)(void);
//typedef int (__cdecl *FFT_TEST)(void);
typedef int (__cdecl *RELEASE)(void);


int _tmain(int argc, _TCHAR* argv[])
{
	HMODULE hDll = LoadLibrary("FftCrash.dll");
	if(NULL == hDll)
	{
		cout << "LoadLiarary fail!" << endl;
		return -1;
	}
	
	INIT_FFT pInitFft = (INIT_FFT)GetProcAddress(hDll, "InitFFT");
	CRASH_TEST pCrashTest = (CRASH_TEST)GetProcAddress(hDll, "CrashTest");
	//FFT_TEST pFftTest = (FFT_TEST)GetProcAddress(hDll, "FftTest");
	RELEASE pRelease = (RELEASE)GetProcAddress(hDll, "Release");
	if(NULL == pInitFft || NULL == pCrashTest /*|| NULL == pFftTest*/ || NULL == pRelease)
	{
		cout << "Fail to get proc address!" << endl;
		return -1;
	}

	int ret = pInitFft();
	cout << "pInitFft : " << ret << endl;
	//ret = pFftTest();
	//cout << "pFftTest : " << ret << endl;
	ret = pCrashTest();
	cout << "pCrashTest : " << ret << endl;
	ret = pRelease();
	cout << "pRelease : " << ret << endl;

	BOOL bFlag = FreeLibrary(hDll);
	if(!bFlag)
	{
		cout << "FreeLibrary fail!" << endl;
		return -1;
	}
	
	return 0;
}

